| Home | Libraries | People | FAQ | More

##### basic_datagram_socket::send_to (2 of 3 overloads)

Send a datagram to the specified endpoint.

    template<
        typename ConstBufferSequence>
    std::size_t send_to(
        const ConstBufferSequence & buffers,
        const endpoint_type & destination,
        socket_base::message_flags flags);

This function is used to send a datagram to the specified remote endpoint. The function call will block until the data has been sent successfully or an error occurs.

###### Parameters

buffers

  One or more data buffers to be sent to the remote endpoint.

destination

  The remote endpoint to which the data will be sent.

flags

  Flags specifying how the send call is to be made.

###### Return Value

The number of bytes sent.

###### Exceptions

boost::system::system_error

  Thrown on failure.